Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1459 - PS1 containing \w will cause crash with unreadable directories
Summary: PS1 containing \w will cause crash with unreadable directories
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-09 20:16 UTC by tpeland
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-18 16:54:28 UTC


Attachments (Terms of Use)

Description tpeland 1999-03-09 20:16:30 UTC
Using bash-1.14.7-13.i386.rpm

Set prompt so that it contains \w. Let's use for example
  PS1='\h:\w\$ '
Move into a directory that you can use but not list. (no
read bit, execute bit exists)
Then move into a directory under that.

Bash will crash immediately.

Comment 1 David Lawrence 1999-03-18 16:54:59 UTC
Could not replicate this problem using bash-1.14.7-14


Note You need to log in before you can comment on or make changes to this bug.